/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void create_line_with_argument(_param p);

void create_line_with_points(_param p);

void create_line_with_vector(_param p);

void create_line_with_segment(_param p);

void create_tangent_to_circle(_param p);

void create_tangent_to_conic(_param p);

void create_parallel_to_line(_param p);

void create_parallel_to_segment(_param p);

void create_perpendicular_to_line(_param p);

void create_perpendicular_to_segment(_param p);

void create_perpendicular_bisector(_param p);

void create_angle_bisector(_param p);

void create_lines_bisector(_param p);

void create_altitude(_param p);

void create_median(_param p);

void translate_line(_param p);

void reflect_line(_param p);

void symetric_line(_param p);

void rotate_line(_param p);

void homothetic_line(_param p);

void point_line_distance(_param p);

void line_argument(_param p);
